﻿@model CokingPlace.Models.Recipe

@{
    ViewBag.Title = "Редагування";
}

    <div class="page-header">
        <h2>Редагувати @Model.Name</h2>
    </div>
@using (Html.BeginForm("Edit", "Recipes", FormMethod.Post, new { enctype = "multipart/form-data", @class = "create-form" }))
{
    @Html.AntiForgeryToken()
    <div class="form-horizontal">
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })

        <div class="col-md-3">
            <label for="image-file" class="image-add">
                <img src="~/Content/Images/image_add.svg" />
                <span>Додайте зображеня</span>
                <input class="file-input" id="image-file" type="file" accept="image/*" name="uploadImage" />
            </label>
        </div>

        <div class="col-md-5 col-xs-12 form-item">
            @Html.LabelFor(model => model.Name, "Назва")
            @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
        </div>

        <div class="col-md-5 col-xs-12 form-item">
            @Html.LabelFor(model => model.CookingTime, "Час приготування (хв)")
            @Html.EditorFor(model => model.CookingTime, new { htmlAttributes = new { @class = "form-control", min = "1", max = "600" } })
            @Html.ValidationMessageFor(model => model.CookingTime, "", new { @class = "text-danger" })
        </div>

        <div class="col-md-5 col-xs-12 form-item dynamic-list-container">
            <label for="ingredient-name">
                Інгредієнти
            </label>
            <div class="col-md-7">
                <input type="text" id="ingredient-name" class="form-control" />
            </div>
            <div class="col-md-3">
                <input type="text" id="amount" class="form-control" />
            </div>
            <div class="col-md-1">
                <button id="add-ingridient" type="button">
                    <span class="glyphicon glyphicon-plus"></span>
                </button>
            </div>
            <div class="col-md-1">
                <button id="del-ingridient" type="button">
                    <span class="glyphicon glyphicon-trash"></span>
                </button>
            </div>
            <ul class="ingridients-list">
                @foreach (var item in Model.IngridientsList)
                {
                    <li>@item</li>
                }
            </ul>
            @Html.HiddenFor(model => model.Ingredients)
        </div>

        <div class="col-md-offset-2 col-md-6 col-xs-12 form-item">
            @Html.LabelFor(model => model.Description, "Опис")
            @Html.TextAreaFor(model => model.Description, new { htmlAttributes = new { @class = "form-control", row = "3" } })
            @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
        </div>
        <div class="col-md-offset-2 col-md-6 col-xs-12 form-item">
            @Html.LabelFor(model => model.CookingProcess, "Інструкція до приготування")
            @Html.TextAreaFor(model => model.CookingProcess, new { htmlAttributes = new { @class = "form-control", row = "5" } })
            @Html.ValidationMessageFor(model => model.CookingProcess, "", new { @class = "text-danger" })
        </div>
        @Html.HiddenFor(model => model.CategoryId)
        @Html.HiddenFor(model => model.ImageUrl)
        @Html.HiddenFor(model => model.UserId)
        @Html.HiddenFor(model => model.CreationDate)
        @Html.HiddenFor(model => model.UserName)
        <div class="form-group">
            <div class="col-md-offset-6 col-md-6">
                <input type="submit" value="Зберігти зміни" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("До списку рецептів", "Index", null, new { @class = "redirect-link" })
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    @Scripts.Render("~/Scripts/create-rec-script.js")
}
